Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WSReliableDeliveryPolicyMBean

public interface WSReliableDeliveryPolicyMBean
extends ConfigurationMBean

This class represents the reliable messaging delivery policy for the current WebLogic Server as both a sender and a receiver of a reliable SOAP message to and from a Web service running on a different WebLogic Server.

Reliable messaging is a framework for applications running in WebLogic Server to asynchronously and reliably invoke a Web service running in a different WebLogic Server. Reliable messaging works only between WebLogic Servers. This class encapsulates the default reliable messaging parameters for an application running in this WebLogic Server instance that both sends and receives a SOAP message reliably. These parameters include the number of times to retry sending the message, the time to wait between retries, the persistent store for the reliable message, and so on.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getDefaultRetryCount()` The default maximum number of times that the sender should attempt to redeliver a message that the receiver WebLogic Web service has not yet acknowledged.
`int` | `getDefaultRetryInterval()` The default minimum number of seconds that the sender should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender detects a communications error while attempting to send a message.
`int` | `getDefaultTimeToLive()` The default minimum number of seconds that the receiver of the reliably sent message should persist the message in its storage.
`JMSStoreMBean` | `getStore()` The persistent JMS store used by WebLogic Server to persist the reliable messages that it either sends or receives.
`void` | `setDefaultRetryCount(int count)` The default maximum number of times that the sender should attempt to redeliver a message that the receiver WebLogic Web service has not yet acknowledged.
`void` | `setDefaultRetryInterval(int interval)` The default minimum number of seconds that the sender should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender detects a communications error while attempting to send a message.
`void` | `setDefaultTimeToLive(int timeToLive)` The default minimum number of seconds that the receiver of the reliably sent message should persist the message in its storage.
`void` | `setStore(JMSStoreMBean store)` The persistent JMS store used by WebLogic Server to persist the reliable messages that it either sends or receives.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getStore

    public JMSStoreMBean getStore()

The persistent JMS store used by WebLogic Server to persist the reliable messages that it either sends or receives.

  Returns:
    The store value

### setStore

    public void setStore(JMSStoreMBean store)
                  throws javax.management.InvalidAttributeValueException

  The persistent JMS store used by WebLogic Server to persist the reliable messages that it either sends or receives.

  Legal Value: ((value == void)?(false):(WebServiceLegalHelper.isUnownedByOthers(self, value)))
  Parameters:
    `store` - The new store value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultRetryCount

    public int getDefaultRetryCount()

  The default maximum number of times that the sender should attempt to redeliver a message that the receiver WebLogic Web service has not yet acknowledged.

  Default Value: 10
  Returns:
    The defaultRetryCount value

### setDefaultRetryCount

    public void setDefaultRetryCount(int count)
                              throws javax.management.InvalidAttributeValueException

  The default maximum number of times that the sender should attempt to redeliver a message that the receiver WebLogic Web service has not yet acknowledged.

  Parameters:
    `count` - The new defaultRetryCount value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultRetryInterval

    public int getDefaultRetryInterval()

  The default minimum number of seconds that the sender should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender detects a communications error while attempting to send a message.

  Returns:
    The defaultRetryInterval value

### setDefaultRetryInterval

    public void setDefaultRetryInterval(int interval)
                                 throws javax.management.InvalidAttributeValueException

  The default minimum number of seconds that the sender should wait between retries if the receiver does not send an acknowledgement of receiving the message, or if the sender detects a communications error while attempting to send a message.

  Default Value: 6
  Parameters:
    `time` - The new defaultRetryInterval value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultTimeToLive

    public int getDefaultTimeToLive()

  The default minimum number of seconds that the receiver of the reliably sent message should persist the message in its storage.

  If the DefaultTimeToLive number of message have passed since the message was first sent, the sender should not resent a message with the same message id.

  If a sender cannot send a message successfully before the DefaultTimeToLive has passed, the sender should report a delivery failure. The receiver, after recovering from a crash, will not dispatch saved messages that have expired.

  Default Value: 360
  Returns:
    The defaultTimeToLive value

### setDefaultTimeToLive

    public void setDefaultTimeToLive(int timeToLive)
                              throws javax.management.InvalidAttributeValueException

  The default minimum number of seconds that the receiver of the reliably sent message should persist the message in its storage.

  If the DefaultTimeToLive number of message have passed since the message was first sent, the sender should not resent a message with the same message id.

  If a sender cannot send a message successfully before the DefaultTimeToLive has passed, the sender should report a delivery failure. The receiver, after recovering from a crash, will not dispatch saved messages that have expired.

  Default Value: 360
  Parameters:
    `time` - The new defaultTimeToLive value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD